Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1464,5 +1464,4 @@
         flag = True
         self.fitrange = True
-        is_modified = False
 
         # wx.PostEvent(self._manager.parent, StatusEvent(status=" \
@@ -2064,4 +2063,5 @@
         self.Layout()
 
+
     def _validate_qrange(self, qmin_ctrl, qmax_ctrl):
         """
Index: src/sas/sasgui/perspectives/fitting/fit_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,3 +1,2 @@
-
 import sys
 import time
@@ -104,5 +103,2 @@
             if self.handler is not None:
                 self.handler.error(msg=traceback.format_exc())
-
-
-
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -43,6 +43,6 @@
 from sas.sasgui.perspectives.fitting.pagestate import Reader
 from sas.sasgui.perspectives.fitting.fitpage import Chi2UpdateEvent
-from sas.sasgui.perspectives.calculator.model_editor import TextDialog
-from sas.sasgui.perspectives.calculator.model_editor import EditorWindow
+#from sas.sasgui.perspectives.calculator.model_editor import TextDialog
+#from sas.sasgui.perspectives.calculator.model_editor import EditorWindow
 from sas.sasgui.guiframe.gui_manager import MDIFrame
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -99,19 +99,33 @@
         output[index_model] = value
         elapsed = time.time() - self.starttime
-        self.complete(image=output,
-                       data=self.data,
-                       page_id=self.page_id,
-                       model=self.model,
-                       state=self.state,
-                       toggle_mode_on=self.toggle_mode_on,
-                       elapsed=elapsed,
-                       index=index_model,
-                       fid=self.fid,
-                       qmin=self.qmin,
-                       qmax=self.qmax,
-                       weight=self.weight,
-                       #qstep=self.qstep,
-                       update_chisqr=self.update_chisqr,
-                       source=self.source)
+        #self.complete(image=output,
+        #               data=self.data,
+        #               page_id=self.page_id,
+        #               model=self.model,
+        #               state=self.state,
+        #               toggle_mode_on=self.toggle_mode_on,
+        #               elapsed=elapsed,
+        #               index=index_model,
+        #               fid=self.fid,
+        #               qmin=self.qmin,
+        #               qmax=self.qmax,
+        #               weight=self.weight,
+        #               #qstep=self.qstep,
+        #               update_chisqr=self.update_chisqr,
+        #               source=self.source)
+        return (output,
+                self.data,
+                self.page_id,
+                self.model,
+                self.state,
+                self.toggle_mode_on,
+                elapsed,
+                index_model,
+                self.fid,
+                self.qmin,
+                self.qmax,
+                self.weight,
+                self.update_chisqr,
+                self.source)
 
 
@@ -216,19 +230,44 @@
         elapsed = time.time() - self.starttime
 
-        self.complete(x=self.data.x[index], y=output[index],
-                      page_id=self.page_id,
-                      state=self.state,
-                      weight=self.weight,
-                      fid=self.fid,
-                      toggle_mode_on=self.toggle_mode_on,
-                      elapsed=elapsed, index=index, model=self.model,
-                      data=self.data,
-                      update_chisqr=self.update_chisqr,
-                      source=self.source,
-                      unsmeared_model=unsmeared_output,
-                      unsmeared_data=unsmeared_data,
-                      unsmeared_error=unsmeared_error,
-                      pq_model=pq_values,
-                      sq_model=sq_values)
+        #self.complete(x=self.data.x[index], y=output[index],
+        #              page_id=self.page_id,
+        #              state=self.state,
+        #              weight=self.weight,
+        #              fid=self.fid,
+        #              toggle_mode_on=self.toggle_mode_on,
+        #              elapsed=elapsed, index=index, model=self.model,
+        #              data=self.data,
+        #              update_chisqr=self.update_chisqr,
+        #              source=self.source)
+        return (self.data.x[index], output[index],
+                self.page_id,
+                self.state,
+                self.weight,
+                self.fid,
+                self.toggle_mode_on,
+                elapsed, index, self.model,
+                self.data,
+                self.update_chisqr,
+                self.source)
+
+        # TODO: as of 4.1, the output contains more items:
+        # unsmeared_* and pq_model/sq_model
+        # Need to add these too
+
+        #self.complete(x=self.data.x[index], y=output[index],
+        #              page_id=self.page_id,
+        #              state=self.state,
+        #              weight=self.weight,
+        #              fid=self.fid,
+        #              toggle_mode_on=self.toggle_mode_on,
+        #              elapsed=elapsed, index=index, model=self.model,
+        #              data=self.data,
+        #              update_chisqr=self.update_chisqr,
+        #              source=self.source,
+        #              unsmeared_model=unsmeared_output,
+        #              unsmeared_data=unsmeared_data,
+        #              unsmeared_error=unsmeared_error,
+        #              pq_model=pq_values,
+        #              sq_model=sq_values)
 
     def results(self):
